#! ruby -Ks
#-- dir_to_dataset.rb
#-- dir_to_dataset.pi

require "array_to_dataset"
require "File_merge_path"

def dir_to_dataset(*args )
  args = [File.merge_path($0,"*.*")] if args.empty?
  infos = Phi.dos_dir(*args)
  dataset = array_to_dataset( infos )
end

if __FILE__ == $0
  require "DataSet_display_gui"
  dataset = dir_to_dataset( File.merge_path( __FILE__ , "*") )
  p dataset.display_gui
end

